// @refresh reload
import "@fortawesome/fontawesome-svg-core/styles.css";
import { Meta, MetaProvider, Title } from "@solidjs/meta";
import { Router } from "@solidjs/router";
import { FileRoutes } from "@solidjs/start";
import { Suspense } from "solid-js";
import "./styles/global.scss";

export default function App() {
  return (
    <Router
      root={(props) => (
        <MetaProvider>
          <Meta
            name="description"
            content="The Splatoon Discord bot with unique features."
          />
          <Title>li'l Judd - Your competitive Splatoon assistant</Title>

          <Suspense>{props.children}</Suspense>
        </MetaProvider>
      )}
    >
      <FileRoutes />
    </Router>
  );
}
