import "../styles/components/Footer.scss";

function Footer() {
  return (
    <footer>
      <div class="footerIcon">
        <img
          class="footerImage"
          src="/assets/lilJudd.png"
          alt="A cute Image of lil Judd <3"
        />
        <p>li'l Judd</p>
        <p class="footerImageNote">Your competitive Splatoon assistant.</p>
      </div>
      <div class="footerTable">
        <div>
          <h3>Navigation</h3>
          <div class="footerLinks">
            <a href="/">Home</a>
            <a href="/features">Features</a>
            <a href="/how-do-i">How do I...?</a>
            <a href="/stack">The Stack</a>
            <a href="/about">About</a>
          </div>
        </div>
        <div>
          <h3>The Software</h3>
          <div class="footerLinks">
            <a
              href="https://git.moonleay.net/DiscordBots/lilJudd"
              target="_blank"
            >
              The code of the bot{" "}
              <img src="/assets/icons/external.svg" alt="external link" />
            </a>
            <a
              href="https://git.moonleay.net/Websites/liljudd-website"
              target="_blank"
            >
              The code of the website{" "}
              <img src="/assets/icons/external.svg" alt="external link" />
            </a>
            <a
              href="https://todo.moonleay.net/share/OmisuzgPDdsrCAXKjGrTfYzWwqNDNclOMGJWeMsi/auth?view=kanban"
              target="_blank"
            >
              The todo list{" "}
              <img src="/assets/icons/external.svg" alt="external link" />
            </a>
            <a href="/acknowledgements">Acknowledgements</a>
          </div>
        </div>
        <div>
          <h3>More</h3>
          <div class="footerLinks">
            <a href="https://moonleay.net/">
              My homepage{" "}
              <img src="/assets/icons/external.svg" alt="external link" />
            </a>
            <a href="https://moonleay.net/blog/" target="_blank">
              My blog{" "}
              <img src="/assets/icons/external.svg" alt="external link" />
            </a>
            <a href="/contact">Contact me</a>
            <a href="https://status.moonleay.net/" target="_blank">
              Server Status{" "}
              <img src="/assets/icons/external.svg" alt="external link" />
            </a>
            <a href="https://discord.gg/HTZRktfH4A" target="_blank">
              Support Discord{" "}
              <img src="/assets/icons/external.svg" alt="external link" />
            </a>
          </div>
        </div>
        <div>
          <h3>Legal</h3>
          <div class="footerLinks">
            <a href="/imprint">Imprint</a>
            <a href="/privacy-policy">Privacy Policy</a>
            <a href="/terms-of-service">Terms of Service</a>
            <a
              href="https://git.moonleay.net/DiscordBots/lilJudd/src/branch/master/LICENSE"
              target="_blank"
            >
              The license{" "}
              <img src="/assets/icons/external.svg" alt="external link" />
            </a>
          </div>
        </div>
      </div>
      <div class="footerNotice">
        <p>
          This website is NOT affiliated with Nintendo or any other party. All
          product names, logos, and brands are property of their respective
          owners.
        </p>
        <p>
          li'l Judd &copy; 2022-2024{" "}
          <a href="https://moonleay.net/" target="_blank">
            moonleay
          </a>
        </p>
      </div>
    </footer>
  );
}

export default Footer;
