import "../styles/components/ImageSection.scss";

interface Props {
  imgUrl: string;
  imgAlt: string;
  title: string;
  description: string;
  note: string;
  span?: boolean;
}

function ImageSection(props: Props) {
  return (
    <section classList={{ ImageSection: true, span: props.span ?? true }}>
      <h1>{props.title}</h1>
      <div class="imgDiv">
        <img src={props.imgUrl} alt={props.imgAlt} />
        <p>{props.description}</p>
      </div>
      <p class="noteP">{props.note}</p>
    </section>
  );
}

export default ImageSection;
