import Layout from "~/components/Layout";
import "../styles/pages/about.scss";

function about() {
  return (
    <Layout site="about">
      <h1>About</h1>
      <section>
        <h2>Why does this bot exist?</h2>
        <p>
          We had a person in our team, who sent{" "}
          <a href="/assets/screenshots/oldplanningmsg.png" target="_blank">
            these planning messages
          </a>{" "}
          and I thought that this should be automated. Some time later the first
          version of li'l Judd was born. Today the bot has more features and
          keeps getting more of them! It is designed to actually improve the
          Splatoon experience and not be the 10000th moderation and general
          utility bot with the same features as all bots.
        </p>
      </section>
      <section>
        <h2>Who is behind this?</h2>
        <p>
          The bot is currently being developed by{" "}
          <a href="/contact">moonleay</a> (hey that&apos;s me!) with occasional
          help from his friends!
        </p>
      </section>
      <section>
        <h2>How can I trust you?</h2>
        <p>
          The bot only requests permissions, which are needed for it to work.
          Additionally, if you want to check how the bot works under the hood,
          you can
          <a href="https://git.moonleay.net/DiscordBots/lilJudd">
            read the code
          </a>
          and if you still don't trust me, you can always host the bot yourself!
          A guide on how to do that can be found in the README of the git
          project.
        </p>
      </section>
      <section>
        <h2>Where is my data stored?</h2>
        <p>
          Your data is stored on a VPS from Contabo in Germany. The bot used to
          be hosted on a server in my basement, but I moved it to a VPS, because
          my internet connection was not stable enough.
        </p>
      </section>
      <section>
        <h2>So whats in the future?</h2>
        <p>
          I plan on adding features, which are aimed to improve your and your
          teams competitive experience! You can check out my public todo list{" "}
          <a
            href="https://todo.moonleay.net/share/OmisuzgPDdsrCAXKjGrTfYzWwqNDNclOMGJWeMsi/auth?view=kanban"
            target="_blank"
          >
            here
          </a>
          .
        </p>
      </section>
      <section>
        <h2>Hey, there is this really cool idea I have! Can you add it?</h2>
        <p>
          Just message me! I can't promise anything, but I am always open to new
          ideas and improvements! You can find ways to contact me{" "}
          <a href="/contact">here</a>.
        </p>
      </section>
    </Layout>
  );
}

export default about;
