import Layout from "~/components/Layout";
import "../styles/pages/imprint.scss";

function imprint() {
  return (
    <Layout site="imprint">
      <section>
        <h1>Imprint</h1>
        <section>
          <a href="/contact">
            <h2>Contact me</h2>
          </a>
        </section>
        <section>
          <h2>Liability for contents</h2>
          <p>
            As a service provider, we are responsible for our own content on
            these pages in accordance with general legislation pursuant to
            Section 7 (1) of the German Telemedia Act (TMG). According to §§ 8
            to 10 TMG, however, we are not obligated as a service provider to
            monitor transmitted or stored third-party information or to
            investigate circumstances that indicate illegal activity.
            Obligations to remove or block the use of information under the
            general laws remain unaffected. However, liability in this regard is
            only possible from the point in time at which a concrete
            infringement of the law becomes known. If we become aware of any
            such infringements, we will remove the relevant content immediately.
          </p>
          <h5>
            Source:{" "}
            <a href="https://www.e-recht24.de/impressum-generator.html">
              eRecht24
            </a>
          </h5>
        </section>
        <section>
          <h2>Liability for links</h2>
          <p>
            Our offer contains links to external websites of third parties, on
            whose contents we have no influence. Therefore, we cannot assume any
            liability for these external contents. The respective provider or
            operator of the pages is always responsible for the content of the
            linked pages. The linked pages were checked for possible legal
            violations at the time of linking. Illegal contents were not
            recognizable at the time of linking. However, a permanent control of
            the contents of the linked pages is not reasonable without concrete
            evidence of a violation of the law. If we become aware of any
            infringements, we will remove such links immediately.{" "}
          </p>
          <h5>
            Source:{" "}
            <a href="https://www.e-recht24.de/impressum-generator.html">
              eRecht24
            </a>
          </h5>
        </section>
      </section>
    </Layout>
  );
}

export default imprint;
