import Layout from "~/components/Layout";
import "../styles/pages/privacy-policy.scss";

function privacyPolicy() {
  return (
    <Layout site="privacyPolicy">
      <div>
        <h1>Privacy Policy for li&apos;l Judd</h1>
        <h4>Last updated: 2023-12-05</h4>
      </div>
      <section>
        <h2>1. Introduction</h2>
        <p>
          Welcome to li&apos;l Judd! This Privacy Policy explains how we
          collect, use, disclose, and safeguard your personal information when
          you use our Discord bot service.
        </p>
      </section>
      <section>
        <h2>2. Data Controller</h2>
        <p>
          The data controller for the processing of your personal data is
          moonleay.
          <br />
          Please note that "moonleay" is primarily used as a username and may
          not directly reflect my legal or real-world identity.
          <br />
          You can reach me <a href="/contact">here</a>.
        </p>
      </section>
      <section>
        <h2>3. Information We Collect</h2>
        <h3>3.1 Discord User Data</h3>
        <p>
          We may collect and process the following (personal) data related to
          your Discord account & guilds:
        </p>
        <ul>
          <li>
            <p>- Discord User ID</p>
          </li>
          <li>
            <p>- Discord username, discriminator and IDs of users</p>
          </li>
          <li>
            <p>- Guild name and ID</p>
          </li>
          <li>
            <p>- Channel names and IDs of channels with active features</p>
          </li>
          <li>
            <p>- Message IDs of the bot messages</p>
          </li>
          <li>
            <p>- Role IDs of created roles</p>
          </li>
        </ul>
        <h3>3.2 Usage Data</h3>
        <p>
          We may collect information on how you interact with our bot, including
          but not limited to:
        </p>
        <ul>
          <li>
            <p>- Commands issued</p>
          </li>
          <li>
            <p>- Server and channel information</p>
          </li>
          <li>
            <p>- Timestamps of interactions</p>
          </li>
        </ul>
      </section>
      <section>
        <h2>4. How we use your Information</h2>
        <p>We process your personal data for the following purposes:</p>
        <ul>
          <li>
            <p>- To provide and maintain the bot service.</p>
          </li>
          <li>
            <p>- To improve, customize, and optimize our bot.</p>
          </li>
          <li>
            <p>- To respond to your requests, comments, or inquiries.</p>
          </li>
          <li>
            <p>- To comply with legal obligations.</p>
          </li>
        </ul>
      </section>
      <section>
        <h2>5. Legal Basis for Processing</h2>
        <p>We process your personal data on the following legal bases:</p>
        <ul>
          <li>
            <p>
              - Consent: You have given your consent for the processing of your
              personal data for one or more specific purposes.
            </p>
          </li>
          <li>
            <p>
              - Performance of a contract: The processing is necessary for the
              performance of the agreement between you and us.
            </p>
          </li>
        </ul>
      </section>
      <section>
        <h2>6. Data Sharing</h2>
        <p>
          We do not sell, trade, or otherwise transfer your personal information
          to third parties. However, we may share your information with:
        </p>
        <ul>
          <li>
            <p>
              - Third-party service providers involved in the operation and
              maintenance of the bot.
            </p>
          </li>
        </ul>
      </section>
      <section>
        <h2>7. Data Security</h2>
        <p>
          We implement reasonable security measures to protect your personal
          information from unauthorized access, disclosure, alteration, and
          destruction.
        </p>
      </section>
      <section>
        <h2>8. Your Rights</h2>
        <p>You have the following rights regarding your personal data:</p>
        <ul>
          <li>
            <p>
              - Right to withdraw consent: You have the right to withdraw your
              consent at any time. You can do this by contacting us at
              contact@moonleay.net.
            </p>
          </li>
          <li>
            <p>
              - Right to rectification: You can request corrections to
              inaccurate or incomplete information.
            </p>
          </li>
          <li>
            <p>
              - Right to erasure: You can request the deletion of your personal
              data.
            </p>
          </li>
        </ul>
      </section>
      <section>
        <h2>9. Changes to this Privacy Policy</h2>
        <p>
          We may update this Privacy Policy to reflect changes in our practices.
          The updated version will be posted on
          https://liljudd.ink/privacy-policy.
        </p>
      </section>
      <section>
        <h2>10. Contact Information</h2>
        <p>
          If you have any questions or concerns about this Privacy Policy,
          please contact us at contact@moonleay.net.
        </p>
      </section>
    </Layout>
  );
}

export default privacyPolicy;
