import Layout from "~/components/Layout";
import "../styles/pages/terms-of-service.scss";

function termsOfService() {
  return (
    <Layout site="termsOfService">
      <h1>Terms of Service</h1>
      <div>
        <h2>Usage Agreement</h2>
        <p>
          By inviting the bot and using its features (commands, planning system)
          are you agreeing to the below mentioned Terms and Privacy Policy
          (Policy) of the bot.
          <br />
          You acknowledge that you have the privilege to use the bot freely on
          any Discord Server (Server) you share with it, that you can invite it
          to any Server that you have "Manage Server" rights for and that this
          privilege might get revoked for you, if you're subject of breaking the
          terms and/or policy of this bot, or the{" "}
          <a href="https://discord.com/terms" target="_blank">
            Terms of Service
          </a>
          ,{" "}
          <a href="https://discord.com/privacy" target="_blank">
            Privacy Policy
          </a>{" "}
          and/or{" "}
          <a href="https://discord.com/guidelines" target="_blank">
            Community Guidelines
          </a>{" "}
          of{" "}
          <a href="https://discord.com/" target="_blank">
            Discord Inc
          </a>
          .<br />
          Through Inviting the bot may it collect specific data as described in
          its Policy.
          <br />
          The intended usage of this data is for core functionalities of the bot
          such as command handling, guild-specific settings and the
          time-planning system.
          <br />
        </p>
      </div>
      <div>
        <h2>Intended Age</h2>
        <p>
          The bot may not be used by individuals under the minimal age described
          in Discord's Terms of Service.
          <br />
          Doing so will be seen as a violation of these terms and will result in
          a removal of the bot from any servers you own.
          <br />
        </p>
      </div>
      <div>
        <h2>Affiliation</h2>
        <p>
          The Bot is not affiliated with, supported or made by Discord Inc.
          <br />
          Any direct connection to Discord or any of its Trademark objects is
          purely coincidental. We do not claim to have the copyright ownership
          of any of Discord's assets, trademarks or other intellectual property.
          <br />
        </p>
      </div>
      <div>
        <h2>Liability</h2>
        <p>
          The owner of the bot may not be made liable for individuals breaking
          these Terms at any given time.
          <br />
          He has faith in the end users being truthfull about their information
          and not misusing this bot or the services of Discord Inc in a
          malicious way.
          <br />
          We reserve the right to update these terms at our own discretion,
          giving you a 1-Week (7 days) period to opt out of these terms if
          you're not agreeing with the new changes. You may opt out by Removing
          the bot from any Server you have the rights for.
        </p>
      </div>
      <div>
        <h2>Contact</h2>
        <p>
          People may get in contact through e-mail at contact@moonleay.net, or
          through the official Support Discord of the Bot. Other ways of support
          may be provided but aren't guaranteed.
        </p>
      </div>
    </Layout>
  );
}

export default termsOfService;
